﻿using Microsoft.AspNetCore.Mvc;
using WCS.BLL.Services.IService;
using WCS.BLL.Services.Service;
using WCS.Model;
using WCS.Model.ApiModel;
using WCS.Model.ApiModel.Stocktaking;
using WCS.Model.ApiModel.User;
using WCS.Model.WebSocketModel;

namespace WCS.WebApi.Controllers
{
    /// <summary>
    /// 本地化Controller
    /// </summary>
    [ApiController]
    [Route("[controller]")]
    public class DIYController : ControllerBase
    {
        public DIYController()
        {

        }

        [Route("getStockTakingOrders")]
        [HttpPost(Name = "getStockTakingOrders")]
        public async Task<ResponseBase> getStockTakingOrders(GetStockTakingOrdersRequest request)
        {
            return await _stockTakingService.getStockTakingOrders(request);
        }
    }
}
